commit:     86a1df8e41557166d950cf51601e7a5a6dd0e34d
Author:     Alexander Kurakin <kuraga333 <AT> mail <DOT> ru>
AuthorDate: Tue Nov  1 12:37:46 2022 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon Nov 14 14:31:04 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=86a1df8e

app-dicts/myspell-en: bump to 20221101

Closes: https://bugs.gentoo.org/879009
Signed-off-by: Alexander Kurakin <kuraga333 <AT> mail.ru>
Closes: https://github.com/gentoo/gentoo/pull/28077
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-dicts/myspell-en/Manifest                   |  1 +
 app-dicts/myspell-en/myspell-en-20221101.ebuild | 53 +++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/app-dicts/myspell-en/Manifest b/app-dicts/myspell-en/Manifest
index b70d9417a616..972af532734f 100644
--- a/app-dicts/myspell-en/Manifest
+++ b/app-dicts/myspell-en/Manifest
@@ -3,3 +3,4 @@ DIST dict-en-20220701_lo.oxt 6124450 BLAKE2B 
0fcd479efcbe9cbf6d2e7d479cb070b32bc
 DIST dict-en-20220801_lo.oxt 6098496 BLAKE2B 
38d216627665aac750528f29eef09baee43bc4cddfe931f8b6a4fa69442fa0489dc89a996850d93a4fc955953e6d33f7950f2efa2549932dbdb862bb07505ac1
 SHA512 
4ec52df3fafe6432b522f0b2912b3c046820518fd11079ae46506fc120943c31df46820164c7a786881797ae3508263d34e26c6226d23b861097926d7dd396e4
 DIST dict-en-20220901_lo.oxt 6098929 BLAKE2B 
61b5e20b567561b7418ad9a932bf14dcd2048a874330faa86e10ae456b360ba287030a7c33146447134e20c10084e5f77d986e8bce87f215447a06cd492e8fc2
 SHA512 
d3f6decbd55956176651813dd8a9364bb8c8b296645c215deebf556f0ddf0e6a61da306c12d01943a8dddf2f765b577d40d55d24e1bbdf08803ac501814364b2
 DIST dict-en-20221001_lo.oxt 6099681 BLAKE2B 
206380ca9da3198cc057a43f71b9bc1bcbf2c2794f4bcff8893b86bacb2201f7709a645e98b131072a92df5dc5a95127807e2f5726d1224fe3fa75e11bd93b50
 SHA512 
d08f66829f3d5f03c1cfcefb4981af016f1f7127fbccfbe76cf40cbcdf70ad4c5d612517fe6beb4d0457e5cdd4e779b5816d9685468e5b3cb0c8058efa064c74
+DIST dict-en-20221101_lo.oxt 6099028 BLAKE2B 
0a8e967670de07a62c2b0d1b39878eea02eae8371eccfeab967ddf1059b9f9866202dddeaebf017c9035153753d8dcafb92eca2868103ec8754396fafe736db4
 SHA512 
51ea769a87b70e22c84101a131d111db2f9c186707a4fac361378965dce11f03ecd1d1c5c6908bc1199e709870e2b38c1c675ab4d0d8393022e522d765a948c1

diff --git a/app-dicts/myspell-en/myspell-en-20221101.ebuild 
b/app-dicts/myspell-en/myspell-en-20221101.ebuild
new file mode 100644
index 000000000000..d7e9c242976a
--- /dev/null
+++ b/app-dicts/myspell-en/myspell-en-20221101.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit myspell-r2
+
+DESCRIPTION="English dictionaries for myspell/hunspell"
+HOMEPAGE="https://extensions.libreoffice.org/extensions/english-dictionaries";
+SRC_URI="https://extensions.libreoffice.org/assets/downloads/41/1667030586/dict-en-20221101_lo.oxt";
+
+LICENSE="BSD MIT LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~sparc-solaris ~x86-solaris"
+
+PLOCALES=( "en" "en-AU" "en-CA" "en-GB" "en-US" "en-ZA" )
+IUSE+="${PLOCALES[@]/#/l10n_}"
+REQUIRED_USE="|| ( ${IUSE[@]} )"
+
+src_prepare() {
+       if use l10n_en-GB || use l10n_en; then
+               MYSPELL_HYPH+=( "hyph_en_GB.dic" )
+       fi
+       if use l10n_en-US || use l10n_en; then
+               MYSPELL_THES+=(
+                       "th_en_US_v2.dat"
+                       "th_en_US_v2.idx"
+               )
+               MYSPELL_HYPH+=( "hyph_en_US.dic" )
+       fi
+
+       MYSPELL_DICT=( )
+       for lang in "${PLOCALES[@]}"; do
+               if [[ "${lang}" == "en" ]]; then
+                       continue
+               fi
+               local mylinguas="${lang//-/_}"
+               if use "l10n_${lang}" || use l10n_en; then
+                       MYSPELL_DICT+=( "${mylinguas}.aff" "${mylinguas}.dic" )
+               else
+                       rm "README_${mylinguas}.txt" || die
+                       if [[ ${lang} == "en-US" ]]; then
+                               rm "README_hyph_en_US.txt" || die
+                       fi
+                       if [[ ${lang} == "en-GB" ]]; then
+                               rm "README_hyph_en_GB.txt" || die
+                               rm "README_en_GB_thes.txt" || die
+                       fi
+               fi
+       done
+
+       default
+}

Reply via email to